Loading...
Searching...
No Matches
Ogre::ParticleEmitterFactory Class Referenceabstract
Core » Effects

Abstract class defining the interface to be implemented by creators of ParticleEmitter subclasses. More...

`#include <OgreParticleEmitterFactory.h>`

Inheritance diagram for Ogre::ParticleEmitterFactory:
[legend]

## Public Member Functions

| ParticleEmitterFactory ()
virtual | ~ParticleEmitterFactory ()
virtual ParticleEmitter * | createEmitter (ParticleSystem *psys)=0
| Creates a new emitter instance.
virtual void | destroyEmitter (ParticleEmitter *e)
| Destroys the emitter pointed to by the parameter (for early clean up if required).
virtual String | getName () const =0
| Returns the name of the factory, the name which identifies the particle emitter type this factory creates.

## Detailed Description

Abstract class defining the interface to be implemented by creators of ParticleEmitter subclasses.

Plugins or 3rd party applications can add new types of particle emitters to Ogre by creating subclasses of the ParticleEmitter class. Because multiple instances of these emitters may be required, a factory class to manage the instances is also required.

  ParticleEmitterFactory subclasses must allow the creation and destruction of ParticleEmitter subclasses. They must also be registered with the ParticleSystemManager. All factories have a name which identifies them, examples might be 'point', 'cone', or 'box', and these can be also be used from particle system scripts.

## Constructor & Destructor Documentation

## ParticleEmitterFactory()

Ogre::ParticleEmitterFactory::ParticleEmitterFactory | ( |  | ) |

inline

## ~ParticleEmitterFactory()

virtual Ogre::ParticleEmitterFactory::~ParticleEmitterFactory | ( |  | ) |

virtual

## Member Function Documentation

## getName()

virtual String Ogre::ParticleEmitterFactory::getName | ( |  | ) | const

pure virtual

Returns the name of the factory, the name which identifies the particle emitter type this factory creates.

## createEmitter()

virtual ParticleEmitter * Ogre::ParticleEmitterFactory::createEmitter | ( | ParticleSystem * | psys | ) |

pure virtual

Creates a new emitter instance.

The subclass MUST add a pointer to the created instance to mEmitters.

## destroyEmitter()

virtual void Ogre::ParticleEmitterFactory::destroyEmitter | ( | ParticleEmitter * | e | ) |

virtual

Destroys the emitter pointed to by the parameter (for early clean up if required).

The documentation for this class was generated from the following file:

- OgreParticleEmitterFactory.h